/*	Copyright (c) 1984, 1986, 1987, 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)libc-i386:libc-i386/fp/fpsetmask.c	1.2"

#include <ieeefp.h>
#include "fp.h"

fp_except
fpsetmask(newmask)
fp_except newmask;
{
	struct _cw87 cw;
	fp_except oldmask;

	_getcw(&cw);
	oldmask = (fp_except)(~cw.mask & EXCPMASK);
	cw.mask = ~((unsigned)newmask) & EXCPMASK;
	_putcw(cw);
	return oldmask;
}


